@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');


* {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
    overflow: auto;
}


body {
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    /* overflow: hidden; */
}

header.top {
    min-height: 100vh;
    width: 100%;
    background-image: linear-gradient(rgba(4, 9, 30, 0.7), rgba(4, 9, 30, 0.7)), url(image/first_banner.png);
    background-position: center;
    background-size: cover;
    position: relative;
    /* overflow: auto; */
}

h1 {
    color: #fff;
}

h2 {
    color: #fff;
}

.logo {
    width: 300px;
    cursor: pointer;
}

nav {
    display: flex;
    padding: 5px;
    z-index: 2;
    align-items: center;
}

.sticky {
    position: fixed;
    top: 0;
    
    width: 100%;
  }

/* nav li {
    display: inline;
    list-style-type: none;
    margin-right: 20px;
 } */
.flex-grow1 {
    margin: 5px;
    border: 2px solid black;
    border-radius: 10px;
    flex-grow: 1;
}

.nav-links {
    flex-grow: 1;
    text-align: right;
}

nav ul li {
    list-style-type: none;
    display: inline-block;
    padding: 8px 21px;
    /* position: relative; */
    margin: 0 30px;
}

nav ul li a {
    font-size: 25px;
    font-weight: 400;
    text-decoration: none;
    color: white;
}

.nav-links ul li::after {
    content: '';
    width: 0%;
    height: 2px;
    background: #FFD700;
    display: block;
    margin: auto;
    transition: 0.5s;
}

.nav-links ul li:hover::after {
    width: 100%;
}

.nav-links ul li.active::after {
    content: '';
    height: 2px;
    width: 100%;
    background: #FFD700;
    transition: 0.5s;
}

.short-img {
    height: 600px;
    width: auto;
}


.text-box {
    display: flex;
    width: 100%;
    color: #fff;
    position: absolute;
    top: 50%;
    align-items: center;
    justify-content: center;
    /* justify-content: space-around; */
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: left;
}

div.sort-desc h1 span {
    color: #FFD700;
}

div.desc p span span{
    color: #FFD700;
}

.text-box h1 {
    font-size: 75px;
}

.text-box p {
    margin: 10px 0 40px;
    font-size: 25px;
    color: white;
    letter-spacing: 1px;
    line-height: 28px;
    margin-bottom: 100px;
}


.hero-btn {
    display: inline-block;
    text-decoration: none;
    color: #fff;
    border: 1px solid white;
    padding: 12px 34px;
    font-size: 20px;
    background: transparent;
    position: relative;
    cursor: pointer;
    border-radius: 30px;
}

.hero-btn:hover {
    border: 1px solid #FFD700;
    transition: 1s;
    color: #FFD700;
}

nav .fa-solid {
    display: none;
}

section.story {
    padding: 50px;
    background-image: linear-gradient(0deg, rgba(8,8,25,1) 15%, rgba(23,23,43,1) 50%, rgba(7,7,22,1) 89%);
}

.flex-column {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    min-height: 100vh;
    width: 100%;
    margin-top: 20px;

}

.flex-column.s {
    align-items: unset;
}

.story-img {
    max-height: 400px;
    max-width: 700px;
    object-fit: cover;
    object-position: center;
}

div .desc {
    margin: 20px;
    padding: 10px;
}

.card {
    display: flex;
    align-items: center;
    color: white;
    padding: 20px;
}


section.story h1 {
    text-align: center;
    font-size: 70px;
    letter-spacing: 7px;
}


section.story h2 {
    text-transform: uppercase;
    font-size: 40px;
    letter-spacing: 2px;
    
}

section.story p {
    font-size: 20px;
    letter-spacing: 2px;
    text-align: justify;
}

.big {
    font-size: 30px;
}

section.gameplay {
    background-image: linear-gradient(0deg, rgba(8,8,25,1) 15%, rgba(23,23,43,1) 50%, rgba(7,7,22,1) 89%);
    width: 100%;
    padding: 100px 0px;
}

h1.title {
    font-size: 75px;
    width: 1130px;
    margin: 30px auto;
    text-align: center;
}

.flex-row {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 400px;
}

.card-row{
    /* min-height: 440px; */
    min-height: 400px;
    /* width: 490px; */
    box-sizing: border-box;
    flex-basis: 31%;
    margin: 40px;
    padding: 20px;
    background: #191919;
    border-radius: 20px;
    position: relative;
    overflow: hidden;
    text-align: center;
    border: 0.0001px solid #FFD700;
    transition: 0.5s;
}

.card-row::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: #ffee10;
    transition: .5s;
    transform: scale(.9);
    z-index: -1;
  }

  .card-row:hover::before {
    transform: scale(1.1);
    box-shadow: 0 0 15px 15px #ffee10;
  }
  
  .card-row:hover {
    color: #ffee10;
    box-shadow: 0 0 10px 10px #ffee10;
    text-shadow: 0 0 2px #ffee10;
  }

img.gameplay-img{
    max-height: 130px;
    max-width: 350px;
    object-fit: cover;
    object-position: center;
    margin: 10px 0px;
}

div.card-row h2 {
    color: white;
    font-size: 25px;
    text-transform: uppercase;
    
}

.desc-gameplay p {
    color: white;
    line-height: 27px;
    text-align: justify;
    margin-bottom: 20px;
    font-size: 20px;
}

section.seasons {
    background-image: linear-gradient(0deg, rgba(8,8,25,1) 15%, rgba(23,23,43,1) 50%, rgba(7,7,22,1) 89%);
    width: 100%;
    padding: 100px 0px;
    color: white;
}

.seasons-img {
    width: 1200px;
    object-position: center;
    border-radius: 20px;
}

div.rapih p {
    width: 1500px;
    font-size: 20px;
    letter-spacing: 2px;
    text-align: left;
    padding: 10px 20px;
    position: relative;
    left: 5px;
    overflow: auto;
}

figure img {
    width: 400px;
    clip-path: circle();
}

aside {
    /* overflow: auto; */
    padding-top: 45px;
    padding-bottom: 40px;
    background-image: linear-gradient(0deg, rgba(8,8,25,1) 15%, rgba(23,23,43,1) 50%, rgba(7,7,22,1) 89%);
}

aside h2 {
    font-size: 40px;
    margin-bottom: -30px;
    color: white;
}

aside article.biodata {
    background: #191919;
    width: 30%;
    box-shadow: 0 4px 8px 0 black;
    border-radius: 100px;
    border: 5px solid transparent;
    padding: 25px;
    text-align: center;
    margin: 0 auto;
    box-shadow: 0px 0px 20px 20px #ffee10;
}

table {
    margin: 0 auto;
    text-align: left;
    color: white;
    padding: 40px;
    font-size: 20px;
}

td {
    padding: 10px;
    border-bottom: 1px solid orange;
}

footer {
    width: 100%;
    text-align: center;
    padding: 30px 0;
    color: white;
    background: linear-gradient(0deg, rgba(8,8,25,1) 15%, rgba(23,23,43,1) 50%, rgba(7,7,22,1) 89%);;
}

.fa-brands{
    color: #FFD700;
    cursor: pointer;
    margin: 0 13px;
    padding: 18px 0;
    font-size: 35px;
}

@media screen and (max-width: 700px) {


    header.top {
        width: 100%;
        /* overflow: auto; */
    }

    .text-box {
        justify-content: space-around;
        text-align: center;
    }

    .text-box h1 {
        font-size: 40px;
    }

    .text-box p {
        font-size: 16px;
    }

    .short-img {
        display: none;
    }

    .nav-links ul li {
        display: block;
    }

    .hero-btn {
        font-size: 15px;
    }

    .fa-solid.fa-xmark {
        position: relative;
        margin-left: 10px;
        top: 20px;
        left: 10px;
    }


    .nav-links {
        position: fixed;
        background: #FF4C29;
        height: 40vh;
        width: 200px;
        top: 0;
        right: -200px;
        text-align: left;
        z-index: 3;
        transition: 1s;
        border-bottom-left-radius: 14px;
    }

    nav .fa-solid{
        display: block;
        color: white;
        margin-right: 20px;
        font-size: 22px;
        cursor: pointer;
    }

    nav .fa-solid.fa-bars{
        /* text-align: right; */
        position: relative;
        left: 44%;
    }

    .nav-links ul {
        padding: 15px;
    }

    nav ul li {
        list-style-type: none;
        display: block;
        padding: 10px;
       
    }

    nav ul li a {
        font-size: 18px;
    }

    .logo {
        width: 170px;
    }

    .story-img {
        max-height: 200px;
        max-width: 300px;
        object-fit: cover;
        object-position: center;
        margin: 0 auto;
    }

    section.story {
        padding: 10px;
    }

    .card{
        flex-wrap: wrap;
        padding: 5px;
    }

    section.story h1 {
        font-size: 40px;
    }

    section.story h2 {
        font-size: 20px;
        
    }
    
    section.story p {
        font-size: 15px;
    }

    .big {
        font-size: 16px;
    }

    h1.title {
        font-size: 40px;
        width: 100%;
    }

    .flex-row {
        flex-direction: column;
    }

    .desc-gameplay p {
        text-align: center;
    }
    
    img.gameplay-img {
        max-height: 120px;
        max-width: 270px;
        object-fit: cover;
        object-position: center;
        margin: 10px 0px;
    }

    .seasons-img {
        width: 90%;
        object-position: center;
        border-radius: 20px;
    }

    div.rapih p {
        width: 85%;
        font-size: 13px;
        letter-spacing: 2px;
        text-align: left;
        padding: 10px 20px;
        position: relative;
        left: 5px;
        overflow: auto;
    }

    aside {
        width: 100%;
        padding-top: 25px;
        padding-bottom: 20px;
        overflow: hidden;
    }

    aside article.biodata {
        width: 80%;
        padding: 10px;
    }

    figure img {
        width: 200px;
        clip-path: circle();
    }

    table {
        margin: 0 auto;
        text-align: left;
        color: white;
        padding: 10px;
        font-size: 12px;
    }

    td {
        padding: 4px;
        border-bottom: 1px solid orange;
    }

    footer h3 {
        font-size: 15px;
        padding: 5px 5px;
    }

    footer p {
        font-size: 14;
    }

}

@media screen and (min-width: 760px) and (max-width: 1000px) {
    header.top {
        width: 100%;
        /* overflow: auto; */
    }

    .text-box {
        justify-content: space-around;
        text-align: center;
        flex-direction: column;
    }

    .text-box h1 {
        font-size: 40px;
    }

    .text-box p {
        font-size: 19px;
        padding: 10px 10px;
    }

    .short-img {
        max-height: 500px;
    }

    .nav-links ul li {
        display: block;
    }

    .hero-btn {
        font-size: 15px;
    }

    .fa-solid.fa-xmark {
        position: relative;
        margin-left: 10px;
        top: 20px;
        left: 10px;
    }


    .nav-links {
        position: fixed;
        background: #FF4C29;
        height: 40vh;
        width: 200px;
        top: 0;
        right: -200px;
        text-align: left;
        z-index: 3;
        transition: 1s;
        border-bottom-left-radius: 14px;
    }

    nav .fa-solid{
        display: block;
        color: white;
        margin-right: 20px;
        font-size: 30px;
        cursor: pointer;
    }

    nav .fa-solid.fa-bars{
        /* text-align: right; */
        position: relative;
        left: 70%;
    }

    .nav-links ul {
        padding: 15px;
    }

    nav ul li {
        list-style-type: none;
        display: block;
        padding: 10px;
       
    }

    nav ul li a {
        font-size: 18px;
    }

    .logo {
        width: 170px;
    }

    .story-img {
        max-height: 300px;
        max-width: 400px;
        object-fit: cover;
        object-position: center;
        margin: 0 auto;
    }

    section.story {
        padding: 10px;
    }

    .card{
        flex-wrap: wrap;
        padding: 5px;
    }

    section.story h1 {
        font-size: 40px;
    }

    section.story h2 {
        font-size: 30px;
        
    }
    
    section.story p {
        font-size: 19px;
    }

    .big {
        font-size: 16px;
    }

    h1.title {
        font-size: 40px;
        width: 100%;
    }

    .flex-row {
        flex-direction: column;
    }

    .desc-gameplay p {
        text-align: center;
    }
    
    img.gameplay-img {
        max-height: 170px;
        max-width: 290px;
        object-fit: cover;
        object-position: center;
        margin: 10px 0px;
    }

    .seasons-img {
        width: 90%;
        object-position: center;
        border-radius: 20px;
    }

    div.rapih p {
        width: 85%;
        font-size: 19px;
        letter-spacing: 2px;
        text-align: left;
        padding: 10px 20px;
        position: relative;
        margin: 0 auto;
        left: 5px;
        overflow: auto;
    }

    aside {
        width: 100%;
        padding-top: 40px;
        padding-bottom: 30x;
        overflow: hidden;
    }

    aside article.biodata {
        width: 80%;
        padding: 10px;
    }

    figure img {
        width: 270px;
        clip-path: circle();
    }

    table {
        margin: 0 auto;
        text-align: left;
        color: white;
        padding: 10px;
        font-size: 20px;
    }

    td {
        padding: 4px;
        border-bottom: 1px solid orange;
    }

    footer h3 {
        font-size: 15px;
        padding: 5px 5px;
    }

    footer p {
        font-size: 14;
    }
}
/* @media screen and (max-width: 1000px) {
    .nav-links {
        width: 100%;
        padding: 0;
    }
} */